Package: groovy.lang

## [Java] Interface AdaptingMetaClass

- groovy.lang.MetaObjectProtocol

- All Superinterfaces:
    MetaClass, MetaObjectProtocol

      public interface AdaptingMetaClass
      extends MetaClass

  An interface for MetaClass instances that "adapt" other MetaClass instances such as a proxy or delegating MetaClass.

  Since:
    1.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaClass` | `getAdaptee()` Returns the MetaClass that this adapter adapts
    `` | `public void` | `setAdaptee(MetaClass metaClass)` Sets the MetaClass adapted by this MetaClass

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MetaClass` | `getAttribute, getClassNode, getMetaMethods, getMethods, getProperties, getProperty, initialize, invokeMethod, invokeMissingMethod, invokeMissingProperty, pickMethod, selectConstructorAndTransformArguments, setAttribute, setProperty`
    `interface MetaObjectProtocol` | `getAttribute, getMetaMethod, getMetaProperty, getMethods, getProperties, getProperty, getStaticMetaMethod, getTheClass, hasProperty, invokeConstructor, invokeMethod, invokeMethod, invokeStaticMethod, respondsTo, respondsTo, setAttribute, setProperty`

- - ### Method Detail

    - #### public MetaClass getAdaptee()

      Returns the MetaClass that this adapter adapts

      Returns:
        The MetaClass instance

    - #### public void setAdaptee(MetaClass metaClass)

      Sets the MetaClass adapted by this MetaClass

      Parameters:
        `metaClass` - The MetaClass to adapt